/*
 * Copyright (c) 2022-2023 AccelByte Inc. All Rights Reserved
 * This is licensed software from AccelByte Inc, for limitations
 * and restrictions contact your company contract manager.
 */
/**
 * AUTO GENERATED
 */
/* eslint-disable camelcase */
import { ApiUtils, Network } from '@accelbyte/sdk';
import { Namespace$ } from './endpoints/Namespace$.js';
export function NamespaceApi(sdk, args) {
    const sdkAssembly = sdk.assembly();
    const namespace = args?.namespace ? args?.namespace : sdkAssembly.namespace;
    const cache = args?.cache ? args?.cache : sdkAssembly.cache;
    const requestConfig = ApiUtils.mergedConfigs(sdkAssembly.config, args);
    /**
     * Get all namespaces.<br>Other detail info: <ul><li><i>Required permission</i>: login user</li><li><i>Action code</i>: 11303</li><li><i>Returns</i>: list of namespaces</li></ul>
     */
    async function getNamespaces(queryParams) {
        const $ = new Namespace$(Network.create(requestConfig), namespace, cache);
        const resp = await $.getNamespaces(queryParams);
        if (resp.error)
            throw resp.error;
        return resp.response.data;
    }
    /**
     * Get namespace info related publisher namespace.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:NAMESPACE"</b>, action=2 <b>(READ)</b></li><li><i>Action code</i>: 11305</li><li><i>Returns</i>: Namespace info related publisher namespace</li></ul>
     */
    async function getPublisher() {
        const $ = new Namespace$(Network.create(requestConfig), namespace, cache);
        const resp = await $.getPublisher();
        if (resp.error)
            throw resp.error;
        return resp.response.data;
    }
    return {
        getNamespaces,
        getPublisher
    };
}
