/*
 * Copyright (c) 2022-2023 AccelByte Inc. All Rights Reserved
 * This is licensed software from AccelByte Inc, for limitations
 * and restrictions contact your company contract manager.
 */
/**
 * AUTO GENERATED
 */
/* eslint-disable camelcase */
import { ApiUtils, Network } from '@accelbyte/sdk';
import { UserAction$ } from './endpoints/UserAction$.js';
export function UserActionApi(sdk, args) {
    const sdkAssembly = sdk.assembly();
    const namespace = args?.namespace ? args?.namespace : sdkAssembly.namespace;
    const cache = args?.cache ? args?.cache : sdkAssembly.cache;
    const requestConfig = ApiUtils.mergedConfigs(sdkAssembly.config, args);
    /**
     * This API is used to report a game user.<p>Other detail info: <ul><li><i>Required permission</i>: resource="NAMESPACE:{namespace}:USER:{userId}:ACTION", action=1 (CREATE)</li></ul>
     */
    async function createActionReport_ByUserId(userId, data) {
        const $ = new UserAction$(Network.create(requestConfig), namespace, cache);
        const resp = await $.createActionReport_ByUserId(userId, data);
        if (resp.error)
            throw resp.error;
        return resp.response.data;
    }
    return {
        createActionReport_ByUserId
    };
}
