/*
 * Copyright (c) 2022-2023 AccelByte Inc. All Rights Reserved
 * This is licensed software from AccelByte Inc, for limitations
 * and restrictions contact your company contract manager.
 */
/**
 * AUTO GENERATED
 */
import { Validate } from '@accelbyte/sdk';
import { FileUploadUrlInfo } from '../definitions/FileUploadUrlInfo.js';
export class FileUpload$ {
    // @ts-ignore
    constructor(axiosInstance, namespace, cache = false) {
        this.axiosInstance = axiosInstance;
        this.namespace = namespace;
        this.cache = cache;
    }
    /**
     * Generate an upload URL for user content. It's valid for 10 minutes.<br/>There are 2 kinds of storage limitation per user : maximum file count and maximum file size.<br/>The threshold of those limitations is different between upload category that is used.<br/>Other detail info: <ul><li><i>Required permission</i>: resource = <b>"NAMESPACE:{namespace}:USER:{userId}:FILEUPLOAD"</b>, action=1 <b>(CREATE)</b></li><li><i>Action code</i>: 11102</li><li><i>Default maximum file count per user</i>: 10 files</li><li><i>Default maximum file size per user</i>: 104857600 bytes</li><li><i>Returns</i>: URL data</li></ul>
     */
    createFile_ByUserId(userId, queryParams) {
        const params = { category: 'default', ...queryParams };
        const url = '/basic/v1/public/namespaces/{namespace}/users/{userId}/files'
            .replace('{namespace}', this.namespace)
            .replace('{userId}', userId);
        const resultPromise = this.axiosInstance.post(url, null, { params });
        return Validate.responseType(() => resultPromise, FileUploadUrlInfo, 'FileUploadUrlInfo');
    }
    /**
     * Generate an upload URL. It's valid for 10 minutes.<br/>Other detail info: <ul><li><i>Required permission</i>: resource = <b>"NAMESPACE:{namespace}:FILEUPLOAD"</b>, action=1 <b>(CREATE)</b></li><li><i>Action code</i>: 11101</li><li><i>Returns</i>: URL data</li></ul>
     */
    createFile_ByFolder(folder, queryParams) {
        const params = { ...queryParams };
        const url = '/basic/v1/public/namespaces/{namespace}/folders/{folder}/files'
            .replace('{namespace}', this.namespace)
            .replace('{folder}', folder);
        const resultPromise = this.axiosInstance.post(url, null, { params });
        return Validate.responseType(() => resultPromise, FileUploadUrlInfo, 'FileUploadUrlInfo');
    }
}
