/*
 * Copyright (c) 2022-2023 AccelByte Inc. All Rights Reserved
 * This is licensed software from AccelByte Inc, for limitations
 * and restrictions contact your company contract manager.
 */
/**
 * AUTO GENERATED
 */
import { Validate } from '@accelbyte/sdk';
import { z } from 'zod';
export class UserAction$ {
    // @ts-ignore
    constructor(axiosInstance, namespace, cache = false) {
        this.axiosInstance = axiosInstance;
        this.namespace = namespace;
        this.cache = cache;
    }
    /**
     * This API is used to report a game user.<p>Other detail info: <ul><li><i>Required permission</i>: resource="NAMESPACE:{namespace}:USER:{userId}:ACTION", action=1 (CREATE)</li></ul>
     */
    createActionReport_ByUserId(userId, data) {
        const params = {};
        const url = '/basic/v1/public/namespaces/{namespace}/users/{userId}/actions/report'
            .replace('{namespace}', this.namespace)
            .replace('{userId}', userId);
        const resultPromise = this.axiosInstance.post(url, data, { params });
        return Validate.responseType(() => resultPromise, z.unknown(), 'z.unknown()');
    }
}
