import { z } from 'zod';
export declare const NamespaceInfo: z.ZodObject<{
    namespace: z.ZodString;
    displayName: z.ZodString;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "INACTIVE", "DELETED"]>>>;
    parentNamespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    clientId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    createdAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    updatedAt: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    status?: "ACTIVE" | "INACTIVE" | "DELETED" | null | undefined;
    parentNamespace?: string | null | undefined;
    clientId?: string | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
    namespace: string;
    displayName: string;
}, {
    status?: "ACTIVE" | "INACTIVE" | "DELETED" | null | undefined;
    parentNamespace?: string | null | undefined;
    clientId?: string | null | undefined;
    createdAt?: string | null | undefined;
    updatedAt?: string | null | undefined;
    namespace: string;
    displayName: string;
}>;
export interface NamespaceInfo extends z.TypeOf<typeof NamespaceInfo> {
}
