import { z } from 'zod';
export declare const UserProfileCreate: z.ZodObject<{
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
}, "strip", z.ZodTypeAny, {
    firstName?: string | null | undefined;
    lastName?: string | null | undefined;
    language?: string | null | undefined;
    dateOfBirth?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
}, {
    firstName?: string | null | undefined;
    lastName?: string | null | undefined;
    language?: string | null | undefined;
    dateOfBirth?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
}>;
export interface UserProfileCreate extends z.TypeOf<typeof UserProfileCreate> {
}
