import { z } from 'zod';
export declare const UserProfilePrivateInfo: z.ZodObject<{
    userId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    namespace: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    firstName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    lastName: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarSmallUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    avatarLargeUrl: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    status: z.ZodNullable<z.ZodOptional<z.ZodEnum<["ACTIVE", "INACTIVE"]>>>;
    language: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    timeZone: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    dateOfBirth: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    customAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
    zipCode: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    publicId: z.ZodNullable<z.ZodOptional<z.ZodString>>;
    privateCustomAttributes: z.ZodNullable<z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodAny>>>;
}, "strip", z.ZodTypeAny, {
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    namespace?: string | null | undefined;
    firstName?: string | null | undefined;
    lastName?: string | null | undefined;
    language?: string | null | undefined;
    dateOfBirth?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    userId?: string | null | undefined;
    zipCode?: string | null | undefined;
    publicId?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
}, {
    status?: "ACTIVE" | "INACTIVE" | null | undefined;
    namespace?: string | null | undefined;
    firstName?: string | null | undefined;
    lastName?: string | null | undefined;
    language?: string | null | undefined;
    dateOfBirth?: string | null | undefined;
    avatarSmallUrl?: string | null | undefined;
    avatarUrl?: string | null | undefined;
    avatarLargeUrl?: string | null | undefined;
    customAttributes?: Record<string, any> | null | undefined;
    timeZone?: string | null | undefined;
    userId?: string | null | undefined;
    zipCode?: string | null | undefined;
    publicId?: string | null | undefined;
    privateCustomAttributes?: Record<string, any> | null | undefined;
}>;
export interface UserProfilePrivateInfo extends z.TypeOf<typeof UserProfilePrivateInfo> {
}
