/**
 * AUTO GENERATED
 */
import { IResponse, IResponseWithSync } from '@accelbyte/sdk';
import { AxiosInstance } from 'axios';
import { UserProfileCreate } from '../definitions/UserProfileCreate.js';
import { UserProfileInfo } from '../definitions/UserProfileInfo.js';
import { UserProfilePrivateCreate } from '../definitions/UserProfilePrivateCreate.js';
import { UserProfilePrivateInfo } from '../definitions/UserProfilePrivateInfo.js';
import { UserProfilePublicInfo } from '../definitions/UserProfilePublicInfo.js';
import { UserProfilePublicInfoArray } from '../definitions/UserProfilePublicInfoArray.js';
import { UserProfileStatusUpdate } from '../definitions/UserProfileStatusUpdate.js';
import { UserProfileUpdate } from '../definitions/UserProfileUpdate.js';
import { UserZipCode } from '../definitions/UserZipCode.js';
import { UserZipCodeUpdate } from '../definitions/UserZipCodeUpdate.js';
export declare class UserProfile$ {
    private axiosInstance;
    private namespace;
    private cache;
    constructor(axiosInstance: AxiosInstance, namespace: string, cache?: boolean);
    /**
     * Get user public profile by ids.<br>Other detail info: <ul><li><i>Action code</i>: 11405</li><li><i>Returns</i>: user public profiles</li></ul>
     */
    getProfilesPublic(queryParams: {
        userIds: string | null;
    }): Promise<IResponseWithSync<UserProfilePublicInfoArray>>;
    /**
     * Get my profile<br><b>Client with user token can get user profile in target namespace</b><br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=2 <b>(READ)</b></li><li><i>Action code</i>: 11403</li><li><i>Returns</i>: user profile</li><li><i>Path's namespace</i> : <ul><li>can be filled with <b>publisher namespace</b> in order to get <b>publisher user profile</b></li><li>can be filled with <b>game namespace</b> in order to get <b>game user profile</b></li></ul></li><li><i>Language</i> : allowed format: en, en-US</li><li><i>Timezone</i> : IANA time zone, e.g. Asia/Shanghai</li></ul>
     */
    getUsersMeProfiles(): Promise<IResponseWithSync<UserProfilePrivateInfo>>;
    /**
     * Create my profile.<br><b>Client with user token can create user profile in target namespace</b><br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=1 <b>(CREATE)</b></li><li><i>Action code</i>: 11401</li><li><i>Returns</i>: Created user profile</li><li><i>Path's namespace</i> : <ul><li>can be filled with <b>publisher namespace</b> in order to create <b>publisher user profile</b></li><li>can be filled with <b>game namespace</b> in order to create <b>game user profile</b></li></ul></li><li><i>Language</i> : allowed format: en, en-US</li><li><i>Country</i> : ISO3166-1 alpha-2 two letter, e.g. US </li><li><i>Timezone</i> : IANA time zone, e.g. Asia/Shanghai</li></ul>
     */
    createUserMeProfile(data: UserProfilePrivateCreate): Promise<IResponse<UserProfilePrivateInfo>>;
    /**
     * Update my profile.<br>Updates user profile in the target namespace (namespace in the path). If token's namespace doesn't match the target namespace, the service automatically maps the token's user ID into the user ID in the target namespace. The endpoint returns the updated user profile on a successful call.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=4 <b>(UPDATE)</b></li><li><i>Action code</i>: 11402</li><li><i>Returns</i>: user profile</li><li><i>Path's namespace</i> : <ul><li>can be filled with <b>publisher namespace</b> in order to update <b>publisher user profile</b></li><li>can be filled with <b>game namespace</b> in order to update <b>game user profile</b></li></ul></li><li><i>Language</i> : allowed format: en, en-US</li><li><i>Timezone</i> : IANA time zone, e.g. Asia/Shanghai</li></ul>
     */
    updateUserMeProfile(data: UserProfileUpdate): Promise<IResponse<UserProfilePrivateInfo>>;
    /**
     * Get user profile.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:USER:{userId}:PROFILE"</b>, action=2 <b>(READ)</b></li><li><i>Action code</i>: 11403</li><li><i>Returns</i>: user profile</li></ul>
     */
    getProfiles_ByUserId(userId: string): Promise<IResponseWithSync<UserProfileInfo>>;
    /**
     * Create user profile.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:USER:{userId}:PROFILE"</b>, action=1 <b>(CREATE)</b></li><li><i>Action code</i>: 11401</li><li><i>Language</i> : allowed format: en, en-US</li><li><i>Timezone</i> : IANA time zone, e.g. Asia/Shanghai</li><li><i>Returns</i>: Created user profile</li></ul>
     */
    createProfile_ByUserId(userId: string, data: UserProfileCreate): Promise<IResponse<UserProfileInfo>>;
    /**
     * Update user profile.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:USER:{userId}:PROFILE"</b>, action=4 <b>(UPDATE)</b></li><li><i>Action code</i>: 11402</li><li><i>Language</i> : allowed format: en, en-US</li><li><i>Timezone</i> : IANA time zone, e.g. Asia/Shanghai</li><li><i>Returns</i>: Updated user profile</li></ul>
     */
    updateProfile_ByUserId(userId: string, data: UserProfileUpdate): Promise<IResponse<UserProfileInfo>>;
    /**
     * Get my zip code.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=2 <b>(READ)</b></li><li><i>Action code</i>: 11407</li><li><i>Returns</i>: user zip code</li></ul>
     */
    getUsersMeProfilesZipCode(): Promise<IResponseWithSync<UserZipCode>>;
    /**
     * Update my zip code.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=4 <b>(UPDATE)</b></li><li><i>Action code</i>: 11408</li><li><i>Returns</i>: user zip code</li></ul>
     */
    patchUserMeProfileZipCode(data: UserZipCodeUpdate): Promise<IResponse<UserZipCode>>;
    /**
     * Get user public profile by public id.<br>Other detail info: <ul><li><i>Returns</i>: user public profile</li></ul>
     */
    getProfilesPublicByPublicId(queryParams: {
        publicId: string | null;
    }): Promise<IResponseWithSync<UserProfilePublicInfo>>;
    /**
     * Get user profile public info.<br>Other detail info: <ul><li><i>Action code</i>: 11404</li><li><i>Returns</i>: user public profile</li></ul>
     */
    getProfilesPublic_ByUserId(userId: string): Promise<IResponseWithSync<UserProfilePublicInfo>>;
    /**
     * Update user profile status.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:USER:{userId}:PROFILE"</b>, action=4 <b>(UPDATE)</b></li><li><i>Action code</i>: 11406</li><li><i>Returns</i>: user profile</li></ul>
     */
    patchProfileStatus_ByUserId(userId: string, data: UserProfileStatusUpdate): Promise<IResponse<UserProfileInfo>>;
    /**
     * Get custom attributes info.<br>Other detail info: <ul><li><i>Action code</i>: 11404</li><li><i>Returns</i>: user custom attributes</li></ul>
     */
    getProfilesCustomAttributes_ByUserId(userId: string): Promise<IResponseWithSync<unknown>>;
    /**
     * Update partially custom attributes tied to user id.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:USER:{userId}:PROFILE"</b>, action=4 <b>(UPDATE)</b></li><li><i>Action code</i>: 11402</li><li><i>Request body</i> : allowed format: JSON object</li><li><i>Returns</i>: Updated custom attributes</li></ul>
     */
    updateProfileCustomAttribute_ByUserId(userId: string, data: any): Promise<IResponse<unknown>>;
    /**
     * Get my private custom attributes.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=2 <b>(READ)</b></li><li><i>Returns</i>: custom attributes</li><li><i>Action code</i>: 11403</li></ul>
     */
    getUsersMeProfilesPrivateCustomAttributes(): Promise<IResponseWithSync<unknown>>;
    /**
     * Update partially private custom attributes tied to me.<br>Other detail info: <ul><li><i>Required permission</i>: resource=<b>"NAMESPACE:{namespace}:PROFILE"</b>, action=4 <b>(UPDATE)</b></li><li><i>Action code</i>: 11402</li><li><i>Request body</i>: allowed format: JSON object</li><li><i>Returns</i>: Updated custom attributes</li></ul>
     */
    updateUserMeProfilePrivateCustomAttribute(data: any): Promise<IResponse<unknown>>;
}
